Skip to main content
POST
/
contacts
/
{contact_id}
/
segments
/
{segment_id}
Attach a contact to a segment
curl --request POST \
  --url https://api.sendrealm.com/contacts/{contact_id}/segments/{segment_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": 123,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_subscribed": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "error": null,
  "metadata": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contact_id
string<uuid>
required
segment_id
string<uuid>
required

Response

Contact attached to segment

status
number
data
object
error
unknown
metadata
unknown